<?php

namespace App\Http\Middleware;

use App\Modules\User\Services\QappPackageService;
use Closure;
use Tymon\JWTAuth\Middleware\BaseMiddleware;

class QuickAppGetPackage extends BaseMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        // 获取头部信息
        $package     = $request->header('x-package', '');
        
        $origin_package = $package;
        //FIXME 海天包传成浩瀚了，特殊处理下，这个名字就给海天用
//         if($package =='com.beidao.kuaiying.haohan'){
//             $package = 'com.beidao.kuaiying.haitian';
//         }
        
        //FIXME 浩瀚包传的是haohannew，但是打开要跟官方包名保持一致，所以这样特殊处理
        if($package =='com.beidao.kuaiying.haohannew'){
            $package = 'com.beidao.kuaiying.haohan';
        }
        
        $channel_id = QappPackageService::getChannelId($package);
        if($channel_id > 0){
            return $next($request);
        }else{
            \Log::info('not_exists_package:'.$package. 'channel_id:'. $channel_id);
            return response()->error('QAPP_SYS_ERROR');
        }

    }
}
